﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace mp3_14_ctrl {
    public class DIRLIST {
        public string fulldir;    // ディレクトリフルパス
        public string dirname;    // パス名を除いたDIR名
        public UInt16 recno_subdir_start;      // サブDIRレコード番号
        public UInt16 num_subdir;              // サブDIR数
        public UInt16 recno_parentdir;         // 親DIR行
        public UInt16 recno_grandparentdir;	    // 親親DIR行
        public UInt16 num_sndfile;			    // MP3ファイル数
        public UInt16 recno_sndfile;            // MP3ファイルリスト先頭レコード番号

        /// <summary>
        /// ディレクトリ構成ファイルのレコード番号(0=ヘッダ、1=ルートディレクトリ,...)
        /// </summary>
        public UInt16 dirno;                    // ディレクトリ構成ファイルのレコード番号
        public TreeNode treenode;               // treeViewDirのノード
    }
}
